- Qt 5.15
- Qt 3D
- C++ Classes
- QTextureGenerator
- Qt 5.15.19 Reference Documentation

# QTextureGenerator Class

class Qt3DRender::QTextureGenerator

Provides the image data for a texture. More...

Header: | #include <QTextureGenerator>
qmake: | QT += 3drender
Inherits: | Qt3DRender::QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QTextureGenerator()
virtual QTextureDataPtr | operator()() = 0
virtual bool | operator==(const QTextureGenerator &other) const = 0

## Detailed Description

## Member Function Documentation

### `[virtual]` QTextureGenerator::~QTextureGenerator()

class Qt3DRender::QTextureGenerator

Generates the necessary information to create an OpenGL texture image.

### `[pure virtual]` QTextureDataPtr QTextureGenerator::operator()()

Returns the texture data.

### `[pure virtual]` bool QTextureGenerator::operator==(const QTextureGenerator &other) const

Compare these texture data to other. Returns `true` if both are equal.